<template>
  <div class="MTCompanyUserPower">
    <div class="MTCompanyUserPowerMain">
      <div class="">
        <div>
          <span>企业设置 / 成员管理</span>
        </div>
      </div>
      <el-row>
        <el-tabs v-model="activeName" type="border-card" @tab-click="handleClick" >
          <el-tab-pane label="团队成员" name="first">
            <vtable-user ref="MTchild"></vtable-user>
          </el-tab-pane>
          <el-tab-pane label="物业用户" name="second">
            <v-property ref="componentref"></v-property>
          </el-tab-pane>
          <!-- <el-tab-pane label="角色自定义" name="third">
            <v-custom></v-custom>
          </el-tab-pane> -->
        </el-tabs>
    </el-row>
  </div>
    
  </div>
</template>

<script>
import vUser from '../../components/MTCompanyUserPower/MTUserPowerTable.vue';
import vPower from '../../components/MTCompanyUserPower/Property.vue';
// import vCustom from '../../components/MTCompanyUserPower/RoleCustom.vue';
export default {
  components: {
    vtableUser:vUser,
    vProperty:vPower,
    // vCustom:vCustom,
  },
  name: "MTCompanyUserPower",
  data() {
    return {
      activeName: 'first'
    };
  },
  created() {
  },
  mounted(){
  },
  methods: {
       handleClick(tab,e) {
         if(tab.index==="0"){
            this.$refs.MTchild.getMtUserList();
         }else{
           this.$refs.componentref.load();
         }
      }
  }
};
</script>
<style lang="stylus">
 
</style>

